Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.i18n.shared
Class AnyRtlDirectionEstimator

    java.lang.Object
      com.google.gwt.i18n.shared.DirectionEstimator
          com.google.gwt.i18n.shared.AnyRtlDirectionEstimator

    public class AnyRtlDirectionEstimator

extends DirectionEstimator

Direction estimator that uses the "any RTL" heuristic.

Constructor Summary
`AnyRtlDirectionEstimator()`

Method Summary
`HasDirection.Direction` | `estimateDirection(java.lang.String str)` Estimates the direction of a given string using the "any RTL" heuristic: the return value is RTL if the string contains at least one RTL character.
`static AnyRtlDirectionEstimator` | `get()` Get an instance of AnyRtlDirectionEstimator.

Methods inherited from class com.google.gwt.i18n.shared.DirectionEstimator
`estimateDirection, estimateDirection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnyRtlDirectionEstimator

    public AnyRtlDirectionEstimator()

Method Detail

### get

    public static AnyRtlDirectionEstimator get()

  Get an instance of AnyRtlDirectionEstimator.

  Returns:
    An instance of AnyRtlDirectionEstimator.

### estimateDirection

    public HasDirection.Direction estimateDirection(java.lang.String str)

  Estimates the direction of a given string using the "any RTL" heuristic: the return value is RTL if the string contains at least one RTL character. Otherwise, it is LTR.

  Specified by:
    `estimateDirection` in class `DirectionEstimator`
  Parameters:
    `str` - Input string.
  Returns:
    Direction The estimated direction of `str`.

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD